:host {
    display: block;
    height: 100%;
    width: 100%;

    mat-card {
        margin: 5px;

        mat-card-title {
            display: flex;
            align-items: center;
            justify-content: space-between;

            app-content-editable {
                width: calc(100% - 40px);
            }

            span {
                display: inline-block;
                width: 100%;
                overflow: hidden;
                text-overflow: ellipsis;
                font-size: small;
            }

            &.new-card {
                justify-content: center;

                mat-icon {
                    width: 100%;
                    text-align: center;
                }
            }
        }

        mat-card-content{
            .field{

                display: flex;
                justify-content: space-between;
            }
        }
    }
}
